Get Invoice
GetInvoice retrieves a single invoice with line items
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
invoiceIdstring
Response Body
application/json
curl -X GET "https://api.nrings.io/v1/invoices/{invoiceId}" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"invoice": {
"id": "string",
"invoiceNumber": "string",
"subscriptionId": "string",
"subscriptionIds": [
"string"
],
"periodStart": "2019-08-24T14:15:22Z",
"periodEnd": "2019-08-24T14:15:22Z",
"dueDate": "2019-08-24T14:15:22Z",
"paidAt": "2019-08-24T14:15:22Z",
"status": "INVOICE_STATUS_UNSPECIFIED",
"currency": "string",
"subtotal": "string",
"taxAmount": "string",
"total": "string",
"amountDue": "string",
"transactionId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"metadata": {},
"issuer": {
"name": "string",
"legalName": "string",
"taxId": "string",
"vatId": "string",
"email": "string",
"phone": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string",
"address": "string",
"website": "string",
"isPlatform": true
},
"customer": {
"name": "string",
"legalName": "string",
"taxId": "string",
"vatId": "string",
"email": "string",
"phone": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string",
"address": "string",
"website": "string",
"isPlatform": true
}
},
"invoiceLines": [
{
"id": "string",
"invoiceId": "string",
"subscriptionId": "string",
"description": "string",
"quantity": "string",
"unitAmount": "string",
"amount": "string"
}
]
}